=== debian/control ===
Source: ros-iron-rosidl-adapter
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rosidl-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, python3-empy, ros-iron-ament-cmake-core, ros-iron-rosidl-cli, ros-iron-ros-workspace
Description: API and scripts to parse .msg/.srv/.action files and convert them to .idl.
